summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:45:24 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:45:24 +0200
commit4935871150e0366a1bf658b44c2a7ca2cc0e2e84 (patch)
tree127e0864e56bc3d81191d8baa1dda61a7040e66e /system
parentaf0f411a78633b273cfac60fd4312337736b3781 (diff)
downloadslackbuilds-4935871150e0366a1bf658b44c2a7ca2cc0e2e84.tar.gz
slackbuilds-4935871150e0366a1bf658b44c2a7ca2cc0e2e84.tar.xz
system/iscan: Updated for version 2.18.0
Diffstat (limited to 'system')
-rw-r--r--system/iscan/README26
-rw-r--r--system/iscan/doinst.sh3
-rw-r--r--system/iscan/iscan.SlackBuild30
-rw-r--r--system/iscan/iscan.desktop2
-rw-r--r--system/iscan/iscan.info8
-rw-r--r--system/iscan/slack-desc14
6 files changed, 38 insertions, 45 deletions
diff --git a/system/iscan/README b/system/iscan/README
index de3225f305..e81d836e00 100644
--- a/system/iscan/README
+++ b/system/iscan/README
@@ -1,16 +1,18 @@
-"Image Scan! for Linux" is a scanner utility that makes
-it easy to obtain high quality images on Linux with your
-EPSON scanner or all-in-one.
+"Image Scan! for Linux" is a scanner utility that makes it easy
+to obtain high quality images on Linux with your EPSON scanner or
+all-in-one.
-This software is licensed under the GNU General Public
-License, GNU Lesser General Public License, and the
-EPSON AVASYS PUBLIC LICENSE. Please see the README file
-for more information.
+This software is licensed under the GNU GENERAL PUBLIC LICENSE
+and the AVASYS PUBLIC LICENSE. Please see the README file for
+more information.
-You will need to add support for the new sane backend
-to your /etc/sane.d/dll.conf file after installing this
-package. Add the following line to the file:
+You will need to add support for the new sane backend to your
+/etc/sane.d/dll.conf file after installing this package. Add the
+following line to the file:
epkowa
-Please see the README file for information on how to
-register Iscan as a gimp plugin.
+You can register Iscan as a GIMP plugin by issuing the following
+command as root (Iscan will then be available in the GIMP menu
+under Xtns/Acquire Image):
+
+ln -s /usr/bin/iscan `gimptool-2.0 --gimpplugindir`/plug-ins/
diff --git a/system/iscan/doinst.sh b/system/iscan/doinst.sh
index 854e20633d..392c12adb9 100644
--- a/system/iscan/doinst.sh
+++ b/system/iscan/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
+
diff --git a/system/iscan/iscan.SlackBuild b/system/iscan/iscan.SlackBuild
index cab91f2b62..6dfbf53b6e 100644
--- a/system/iscan/iscan.SlackBuild
+++ b/system/iscan/iscan.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Iscan
-# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2007-2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=iscan
-VERSION=2.11.0
+VERSION=${VERSION:-2.18.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,8 +33,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING* INSTALL NEWS README non-free/EAPL.en.txt"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -47,9 +45,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/${PRGNAM}_$VERSION-1.tar.gz || exit 1
+tar xvf $CWD/${PRGNAM}_$VERSION-?.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -57,7 +54,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# This program will not build unless static is enabled.
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -65,10 +61,8 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --enable-shared=yes \
- --enable-static=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -84,21 +78,17 @@ install -m 0644 backend/epkowa.conf $PKG/etc/sane.d || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL KNOWN-PROBLEMS NEWS README \
+ SUPPORTED-DEVICES non-free/AVASYSPL.en.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/usr/share/applications
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-( cd $PKG
- find . -type d -depth -exec rmdir {} \; 2>/dev/null
- find . -type f -size 0c -exec rm {} \; 2>/dev/null
-)
-
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/iscan/iscan.desktop b/system/iscan/iscan.desktop
index dcc5752c05..f7bdf0e47d 100644
--- a/system/iscan/iscan.desktop
+++ b/system/iscan/iscan.desktop
@@ -6,5 +6,5 @@ Exec=iscan
Terminal=false
Type=Application
Categories=Application;Graphics;
-Icon=/usr/share/icons/gnome/48x48/apps/xsane.png
+Icon=scanner
StartupNotify=false
diff --git a/system/iscan/iscan.info b/system/iscan/iscan.info
index a473e53260..3d24e01afd 100644
--- a/system/iscan/iscan.info
+++ b/system/iscan/iscan.info
@@ -1,8 +1,8 @@
PRGNAM="iscan"
-VERSION="2.11.0"
+VERSION="2.18.0"
HOMEPAGE="http://www.avasys.jp/english/linux_e/"
-DOWNLOAD="http://lx1.avasys.jp/iscan/2.11.0/iscan_2.11.0-1.tar.gz"
-MD5SUM="76991cb47dc8ff1269e47d4bce3d41b5"
+DOWNLOAD="http://linux.avasys.jp/drivers/iscan/2.18.0/iscan_2.18.0-2.tar.gz"
+MD5SUM="6ea077886ae3107b5928e0688874100e"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="David Somero" \ No newline at end of file
+APPROVED="dsomero"
diff --git a/system/iscan/slack-desc b/system/iscan/slack-desc
index 73c68bf054..0147675a25 100644
--- a/system/iscan/slack-desc
+++ b/system/iscan/slack-desc
@@ -1,16 +1,16 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
iscan: Iscan (Image Scan! for Linux)
iscan:
-iscan: "Image Scan! for Linux" is a scanner utility that makes
-iscan: it easy to obtain high quality images on Linux with your
-iscan: EPSON scanner or all-in-one.
+iscan: "Image Scan! for Linux" is a scanner utility that makes it easy
+iscan: to obtain high quality images on Linux with your EPSON scanner or
+iscan: all-in-one.
iscan:
iscan: Homepage: http://www.avasys.jp/english/linux_e/
iscan: